Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader.comics.OregonLive
Class Apartment3G

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.ComicParser
          com.blogspot.applications4android.comicreader.core.Comic
              com.blogspot.applications4android.comicreader.comictypes.DailyComic
                  com.blogspot.applications4android.comicreader.comictypes.DailyOregonlive
                      com.blogspot.applications4android.comicreader.comics.OregonLive.Apartment3G

    public class Apartment3G

extends DailyOregonlive

Field Summary

Fields inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyOregonlive
`mComicFullName, mComicName, mFirstCal`

Fields inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyComic
`m_zone, mBound`

Fields inherited from class com.blogspot.applications4android.comicreader.core.Comic
`DIALOG_DATE, DIALOG_NUMBER, mFirstUid, mLatestUid, mPrevSessionUid, NAV_CURRENT, NAV_FIRST, NAV_LATEST, NAV_LATEST_FORCE, NAV_NEXT, NAV_PREV_SESSION, NAV_PREVIOUS, NAV_RANDOM, PROPS, TYPE_CACHING, TYPE_FAVORITE, TYPE_LATEST, TYPE_PREV_SESSION, TYPE_PREVIEW`

Constructor Summary
`Apartment3G()`

Method Summary
`void` | `addException(java.util.Calendar in, int increment)` For those days which do not have a comic strip If the given daily comic series WAS irregular previously but now has been regular, then you have to override this function!

Methods inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyOregonlive
`getComicWebPageUrl, getFirstCalendar, getLatestCalendar, getTimeFromUrl, getUrlFromTime, htmlNeeded, parse, urlsNotForCaching`

Methods inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyComic
`dialogType, getBound, getCurrentCal, getFirstStripUrl, getLatestStripUrl, getNextStripUrl, getPreviousStripUrl, getRandomStripUrl`

Methods inherited from class com.blogspot.applications4android.comicreader.core.Comic
`clearCache, clearHistory, currentHasImageText, currentTitleAsValidFilename, downloadCurrentStrip, getComicName, getCurrentStrip, getDefaultZoom, getFirstStrip, getLatestStrip, getLatestStripForcefully, getLaunchType, getName, getNextStrip, getPreviousSessionStrip, getPreviousStrip, getRandomStrip, getStripFromUrl, hasPreviousSession, hasUid, isCurrentFavorite, isCurrentFirstStrip, isCurrentLatestStrip, navigateStrip, queryUid, readOnlyUnread, readProperties, setCacheEnabled, setComicName, setCurrentAsFavorite, setDefaultZoom, setLaunchType, writeProperties`

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Apartment3G

    public Apartment3G()

Method Detail

### addException

    public void addException(java.util.Calendar in,
                             int increment)

  Description copied from class: `DailyComic`
  For those days which do not have a comic strip If the given daily comic series WAS irregular previously but now has been regular, then you have to override this function!

  Overrides:
    `addException` in class `DailyComic`
  Parameters:
    `in` - the calendar which needs to take care of this
    `increment` - which date needs to be shown instead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD